| ghc-6.10.4: The GHC API | Contents | Index

CmmLiveZ

Synopsis

type CmmLive = RegSet
cmmLivenessZ :: CmmGraph -> FuelMonad BlockEntryLiveness
liveLattice :: DataflowLattice CmmLive
middleLiveness :: Middle -> CmmLive -> CmmLive
lastLiveness :: Last -> (BlockId -> CmmLive) -> CmmLive

Documentation
type CmmLive = RegSet
The variables live on entry to a block
cmmLivenessZ :: CmmGraph -> FuelMonad BlockEntryLiveness
Calculated liveness info for a CmmGraph
liveLattice :: DataflowLattice CmmLive
The dataflow lattice
middleLiveness :: Middle -> CmmLive -> CmmLive
lastLiveness :: Last -> (BlockId -> CmmLive) -> CmmLive
Produced by Haddock version 2.4.2